## dde-calendar 1.2.2

=== debian/changelog ===
dde-calendar (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix date refreshing issue.
  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * d/rules: Use "dh-missing --fail-missing".
  * d/copyright: Fix typos.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 17:04:32 +0800

dde-calendar (1.2.2-1) unstable; urgency=medium

  * New release.
  * Some Bug Fixes
  * d/rules: use /usr/share/dpkg/pkg-info.mk instead of dpkg-parsechangelog.
  * d/control: Use Salsa platform for Vcs field.
  * debian/control: Update Standers-Version to 4.1.3.
  * debian/compat: Switch compat to level 11.

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 30 Mar 2018 10:57:34 +0800

dde-calendar (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Set build architecture as linux-any.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 12 Dec 2017 09:56:27 +0800

dde-calendar (1.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #871981)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 07 Dec 2017 15:19:48 +0800
