=== debian/control ===
Source: dde-calendar
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 deepin-gettext-tools,
 libdtkwidget-dev,
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxdeepin/dde-calendar
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar

Package: dde-calendar
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dde-api,
Description: Deepin Calendar
 Deepin Calendar is an easy calendar tool developed by Deepin Technology, main
 features current date, solar terms, lunar calendar and world holidays.
 .
 This package is part of DDE (Deepin Desktop Environment).
