## dde-calendar 1.2.5

=== debian/changelog ===
dde-calendar (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Bump Standards-Version to 4.2.0 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 09 Aug 2018 10:06:58 +0800

dde-calendar (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 01 Aug 2018 09:52:35 +0800

dde-calendar (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Use pkg-deepin-devel@lists.alioth.debian.org in maintainer
    field.
  * d/patches: Drop patches, applied by upstream.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 26 May 2018 10:56:44 +0800
