=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dde-calendar
 Section: utils
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
@@ -13,7 +13,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar
