## dde-calendar 1.2.6

=== debian/changelog ===
dde-calendar (1.2.6-1) unstable; urgency=high

  * Team upload.
  * New upstream version 1.2.6.
  * Rebuild for Debian Buster.
    + Fix crashing when starting up the program.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + R³: Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Mon, 07 Jan 2019 09:26:38 -0500
