=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  deepin-gettext-tools,
  libdtkwidget-dev,
  pkg-config,
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.2.0
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar
