## dde-calendar 5.0.1

=== debian/changelog ===
dde-calendar (5.0.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:23 +0100

dde-calendar (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.1.
  * debian/control:
    + Switch buildsystem from qmake to cmake (>= 3.7).

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Dec 2019 14:49:00 -0500
