=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  debhelper-compat (= 12),
+ cmake (>= 3.7),
  deepin-gettext-tools,
  libdtkwidget-dev,
  pkg-config,
- qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar
