=== debian/changelog ===
dde-calendar (5.7.0.4-1) unstable; urgency=medium

  [ Clay Stan ]
  * New upstream release 5.7.0.4.
    + Add Clay Stan to uploaders list.

  [ Arun Kumar Pariyar ]
  * debian/control:
    + Add Arun Kumar Pariyar to Uploaders.
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
    + Update Build-Depends and tighten version for libdtkwidget-dev
      to (>=5.2~) and libdframeworkdbus-dev to (>=5.2.0~).
  * debian/rules: Ensure proper build and drop LDFLAGS.
  * debian/patches:
    + Add 0001-fix-qt5-14-incompatibility-issue patch file.
    + Add 0002-fix-desktop-entry-lacks-keywords-entry patch file.
  * debian/upstream: Set upstream metadata fields.
  * debian/copyright: Update copyright information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sat, 05 Dec 2020 22:03:58 +0545
