=== debian/control ===
--- 
+++ 
@@ -5,16 +5,21 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Clay Stan <claystan97@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
  cmake (>= 3.7),
+ debhelper-compat (= 13),
  deepin-gettext-tools,
- libdtkwidget-dev,
+ libdframeworkdbus-dev (>=5.2.0~),
+ libdtkgui-dev,
+ libdtkwidget-dev (>=5.2~),
+ libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar
