=== debian/changelog ===
dde-calendar (5.7.0.23-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Nov 2021 15:57:52 -0500

dde-calendar (5.7.0.23-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Clay Stan ]
  * New upstream release 5.7.0.23.

  [ Hu Feng ]
  * debian/control:
    + Add Hu Feng to Uploaders list.
    + Add dde-qt5integration to Depends in dde-calendar package.
  * debian/rules: Update compilation rules
  * debian/patches:
    + Add 0003-fix-lintian-problem-and-enable-icon.patch

  [ Boyuan Yang ]
  * Tighten version for dtk libraries to 5.5.17+.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 08:38:27 -0500
