=== debian/control ===
--- 
+++ 
@@ -7,19 +7,20 @@
  Yanhao Mo <yanhaocs@gmail.com>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
  Clay Stan <claystan97@gmail.com>,
+ Hu Feng <hufeng@uniontech.com>,
 Build-Depends:
  cmake (>= 3.7),
  debhelper-compat (= 13),
  deepin-gettext-tools,
- libdframeworkdbus-dev (>=5.2.0~),
- libdtkgui-dev,
- libdtkwidget-dev (>=5.2~),
+ libdframeworkdbus-dev (>= 5.4.20~),
+ libdtkgui-dev (>= 5.5.17~),
+ libdtkwidget-dev (>= 5.5.17~),
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar
@@ -27,10 +28,13 @@
 Package: dde-calendar
 Architecture: linux-any
 Depends:
+ dde-qt5integration,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  dde-api,
+Provides:
+ deepin-calendar,
 Description: Deepin Calendar
  Deepin Calendar is an easy calendar tool developed by Deepin Technology, main
  features current date, solar terms, lunar calendar and world holidays.
