=== debian/changelog ===
dde-calendar (5.8.29-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 09 Mar 2022 13:54:37 +0800

dde-calendar (1.0.0-1) stable; urgency=low

  * Autobuild Tag 1.0.0 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 17:34:34 +0000

dde-calendar (1.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 18 Mar 2016 17:01:43 +0800
