=== debian/changelog ===
dde-calendar (5.9.1-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:44:06 +1100

dde-calendar (5.9.1-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:10:37 +0000

dde-calendar (5.9.1-4) unstable; urgency=medium

  * Team Upload.
  * d/clean: Add translations dir (Closes: #1044295)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Sep 2023 00:06:34 +0530

dde-calendar (5.9.1-3) unstable; urgency=medium

  * debian/rules:
    + remove override_dh_auto_test.
  * debian/patches:
    + Add disable testing patch.

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Jul 2022 15:59:09 +0800

dde-calendar (5.9.1-2) unstable; urgency=medium

  * debian/rules:
    + Skip all test.
  * debian/patches:
    + Remove skip CreateJobType_01 test patch.

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Jul 2022 14:13:00 +0800

dde-calendar (5.9.1-1) unstable; urgency=medium

  * New upstream release 5.9.1.
  * debian/control:
    + Add new build-dep: libgtest-dev,qttools5-dev.
    + Add new depends: libdframeworkdbus2.
    + Bump Standards-Version to 4.6.1.0.
  * debian/copyright:
    + Update upstream contact.
  * debian/dde-calendar.1:
    + Use upstream manpage.
  * debian/patches:
    + Remove useless patches.
    + Add skip CreateJobType_01 test patch.
  * debian/rules:
    + Add -DCMAKE_SAFETYTEST_ARG.
  * debian/upstream/metadata:
    + Update Bug-Database and Bug-Submit address.

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Jul 2022 10:28:17 +0800
