=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dde-calendar
 Section: utils
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
@@ -15,12 +16,14 @@
  libdframeworkdbus-dev (>= 5.4.20~),
  libdtkgui-dev (>= 5.5.17~),
  libdtkwidget-dev (>= 5.5.17~),
+ libgtest-dev,
  libqt5svg5-dev,
  pkg-config,
  qtbase5-dev,
+ qttools5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/linuxdeepin/dde-calendar
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar
@@ -29,6 +32,7 @@
 Architecture: linux-any
 Depends:
  dde-qt5integration,
+ libdframeworkdbus2,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
