=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dde-calendar-$1.tar.gz%" \
   https://github.com/linuxdeepin/dde-calendar/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
