## dde-calendar 5.9.5

=== calendar-client/CMakeLists.txt ===
--- 
+++ 
@@ -69,13 +69,13 @@
 find_package(DtkWidget REQUIRED)
 find_package(DtkGui REQUIRED)
 find_package(DFrameworkdbus REQUIRED)
+find_package(Qt5Network REQUIRED)
 
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
-include_directories(../calendar-basicstruct/)
 # Tell CMake to create the executable
 add_executable(${PROJECT_NAME} ${Calendar_SRC} ${APP_QRC})
 
-target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
+target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR} ../calendar-common/src)
 target_link_libraries(${PROJECT_NAME}
     ${DtkWidget_LIBRARIES}
     ${DtkCore_LIBRARIES}
@@ -84,15 +84,27 @@
     ${Qt5Svg_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${DFrameworkdbus_LIBRARIES}
-    basestruct
+    ${Qt5Network_LIBRARIES}
+    commondata
 )
 
-set(CMAKE_INSTALL_PREFIX /usr)
+#根据环境修改dbus服务文件
+if(DEFINED ENV{PREFIX})
+    set(APP_DBUS_SERVICE "[D-BUS Service]
+Name=com.deepin.Calendar
+Exec=/usr/bin/ll-cli run org.dde.calendar --exec dde-calendar")
+   file(WRITE ${APP_SERVICE} "${APP_DBUS_SERVICE}")
+
+   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+   set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+
 
 # Install files
 install(TARGETS dde-calendar DESTINATION bin)
 
 install(DIRECTORY ${APP_RES_DIR}/dde-calendar
-        DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+        DESTINATION  share/deepin-manual/manual-assets/application/)
 install(FILES ${APP_DESKTOP} DESTINATION share/applications)
 install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/services)
