=== debian/changelog ===
dde-calendar (5.9.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 09:31:42 +0800

dde-calendar (5.9.1) unstable; urgency=medium

  * Translation update.

 -- <chenhaifeng@uniontech.com>  Tue, 18 Jun 2022 13:01:43 +0800

dde-calendar (1.0.0) unstable; urgency=medium

  * Initial Release.

 -- <chenhaifeng@uniontech.com>  Fri, 18 Mar 2016 17:01:43 +0800
