## dde-calendar 5.9.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,11 +32,12 @@
     set(${result} ${dirlist})
 endmacro()
 
-ADD_SUBDIRECTORY(calendar-basicstruct)
+ADD_SUBDIRECTORY(3rdparty/kcalendarcore)
+ADD_SUBDIRECTORY(calendar-common)
 ADD_SUBDIRECTORY(calendar-client)
 ADD_SUBDIRECTORY(calendar-service)
 ADD_SUBDIRECTORY(schedule-plugin)
-ADD_SUBDIRECTORY(tests)
+#ADD_SUBDIRECTORY(tests)
 
 #前后端都有翻译所以将翻译放到更高层级
 find_package(Qt5LinguistTools REQUIRED)
@@ -75,6 +76,11 @@
      ${DTNG_QM_FILES}
      )
      
- set(CMAKE_INSTALL_PREFIX /usr)
+if(DEFINED ENV{PREFIX})
+   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+   set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+  
  file(GLOB APP_QM_FILES "translations/*.qm")
  install(FILES ${APP_QM_FILES} DESTINATION share/dde-calendar/translations)
