=== calendar-service/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,8 @@
     Qt5::DBus
     Qt5::Sql
     ${DtkCore_LIBRARIES}
+    commondata
+    -lpthread
 )
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
@@ -46,16 +48,37 @@
 #添加资源文件
 QT5_ADD_RESOURCES(CALENDARSERVICE_SRCS ${APP_QRC})
 
-include_directories(../calendar-basicstruct/)
 
 #后端程序自动退出宏控制
+if (NOT (CMAKE_BUILD_TYPE MATCHES Debug))
 add_definitions(-DCALENDAR_SERVICE_AUTO_EXIT)
+endif()
 
 add_executable(${PROJECT_NAME} ${CALENDARSERVICE_SRCS})
 
-target_link_libraries(${PROJECT_NAME} ${LINK_LIBS} basestruct)
+target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR} ../calendar-common/src)
 
-set(CMAKE_INSTALL_PREFIX /usr)
+target_link_libraries(${PROJECT_NAME}
+    ${LINK_LIBS}
+    )
+
+#根据环境修改dbus服务文件
+if(DEFINED ENV{PREFIX})
+   set(APP_DBUS_SERVICE
+"[D-BUS Service]
+Name=com.deepin.dataserver.Calendar
+Exec=/usr/bin/ll-cli run  org.dde.calendar --exec  /opt/apps/org.dde.calendar/files/lib/deepin-daemon/dde-calendar-service
+")
+   message("${APP_DBUS_SERVICE}")
+   file(WRITE ${APP_SERVICE} "${APP_DBUS_SERVICE}")
+
+    set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+    set(CMAKE_INSTALL_PREFIX /usr)
+endif()
+
+add_definitions(-DLINGLONG_PREFIX=\"${CMAKE_INSTALL_PREFIX}/\")
+ 
 
 # Install files
 install(TARGETS ${PROJECT_NAME} DESTINATION lib/deepin-daemon/)
