=== debian/changelog ===
dde-calendar (5.9.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 27 Sep 2022 16:37:26 +0800
