=== debian/control ===
Source: dde-calendar
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>=9),
 cmake,
 pkg-config,
 qtbase5-dev,
 libdtkgui-dev,
 libdtkwidget-dev,
 qttools5-dev-tools,
 deepin-gettext-tools,
 libdframeworkdbus-dev,
 libgtest-dev,
 qttools5-dev,
 libical-dev,
 libgcrypt20-dev
Standards-Version: 4.3.0
Homepage: http://www.deepin.org
Vcs-Git: https://github.com/linuxdeepin/dde-calendar

Package: dde-calendar
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dde-api,
 libdframeworkdbus2 (>= 5.3.0.34)
Description: Calendar is a smart daily planner to schedule all things in life.
 Calendar is a small management tool for personal life that combines time 
 and events and integrates the function of memorizing and scheduling.
